diff --git a/src/src/blob.h b/src/src/blob.h
index 95a987f0a..72b7fe564 100644
--- a/src/src/blob.h
+++ b/src/src/blob.h
@@ -2,7 +2,7 @@
  *  Blob - a general pointer/size item for a memory chunk
  *
  *  Copyright (C) 2016  Exim maintainers
- *  SPDX-License-Identifier: GPL-2.0-only
+ *  SPDX-License-Identifier: GPL-2.0-or-later
  */
 
 #ifndef BLOB_H	/* entire file */
diff --git a/src/src/bmi_spam.c b/src/src/bmi_spam.c
index 140bec48f..03e8defa6 100644
--- a/src/src/bmi_spam.c
+++ b/src/src/bmi_spam.c
@@ -6,7 +6,7 @@
    Copyright (c) Tom Kistner <tom@duncanthrax.net> 2004
    License: GPL */
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "exim.h"
 #ifdef EXPERIMENTAL_BRIGHTMAIL
diff --git a/src/src/bmi_spam.h b/src/src/bmi_spam.h
index a9833b200..bb1c859a9 100644
--- a/src/src/bmi_spam.h
+++ b/src/src/bmi_spam.h
@@ -5,7 +5,7 @@
 /* Code for calling Brightmail AntiSpam.
    Copyright (c) Tom Kistner <tom@duncanthrax.net> 2004
    License: GPL */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #ifdef EXPERIMENTAL_BRIGHTMAIL
 
diff --git a/src/src/buildconfig.c b/src/src/buildconfig.c
index 710b53550..8f37e508a 100644
--- a/src/src/buildconfig.c
+++ b/src/src/buildconfig.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 /*************************************************
diff --git a/src/src/child.c b/src/src/child.c
index b94e814a1..359b791e8 100644
--- a/src/src/child.c
+++ b/src/src/child.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "exim.h"
diff --git a/src/src/daemon.c b/src/src/daemon.c
index 0afc7ca86..be008c3d4 100644
--- a/src/src/daemon.c
+++ b/src/src/daemon.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions concerned with running Exim as a daemon */
 
diff --git a/src/src/dane.c b/src/src/dane.c
index f2ad22481..a12e16238 100644
--- a/src/src/dane.c
+++ b/src/src/dane.c
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2012, 2014 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This module provides DANE (RFC6659) support for Exim.  See also
 the draft RFC for DANE-over-SMTP, "SMTP security via opportunistic DANE TLS"
diff --git a/src/src/dbfn.c b/src/src/dbfn.c
index f932520f9..3c51162a4 100644
--- a/src/src/dbfn.c
+++ b/src/src/dbfn.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "exim.h"
diff --git a/src/src/dbfunctions.h b/src/src/dbfunctions.h
index 93e1d3405..1f0dec1f7 100644
--- a/src/src/dbfunctions.h
+++ b/src/src/dbfunctions.h
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #ifndef DBFUNCTIONS_H
 #define DBFUNCTIONS_H
diff --git a/src/src/dcc.c b/src/src/dcc.c
index d8e22b30c..8986dedde 100644
--- a/src/src/dcc.c
+++ b/src/src/dcc.c
@@ -8,7 +8,7 @@
  * See the file NOTICE for conditions of use and distribution.
  *
  * Copyright (c) The Exim Maintainers 2015 - 2022
- * SPDX-License-Identifier: GPL-2.0-only
+ * SPDX-License-Identifier: GPL-2.0-or-later
  */
 
 /* Code for calling dccifd. Called from acl.c. */
diff --git a/src/src/debug.c b/src/src/debug.c
index 38e8f8001..44ad763e1 100644
--- a/src/src/debug.c
+++ b/src/src/debug.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2015 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "exim.h"
diff --git a/src/src/deliver.c b/src/src/deliver.c
index 719fa9d93..c4fce4602 100644
--- a/src/src/deliver.c
+++ b/src/src/deliver.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* The main code for delivering a message. */
 
diff --git a/src/src/directory.c b/src/src/directory.c
index c3b341bbb..94303db0b 100644
--- a/src/src/directory.c
+++ b/src/src/directory.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2010 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "exim.h"
 
diff --git a/src/src/dkim.c b/src/src/dkim.c
index 9b6e14a3f..0a8ab6fb3 100644
--- a/src/src/dkim.c
+++ b/src/src/dkim.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge, 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Code for DKIM support. Other DKIM relevant code is in
    receive.c, transport.c and transports/smtp.c */
diff --git a/src/src/dkim.h b/src/src/dkim.h
index 61d83a9df..915c6c739 100644
--- a/src/src/dkim.h
+++ b/src/src/dkim.h
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge, 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 void    dkim_exim_init(void);
 gstring * dkim_exim_sign(int, off_t, uschar *, struct ob_dkim *, const uschar **);
diff --git a/src/src/dkim_transport.c b/src/src/dkim_transport.c
index 142f4552a..c127d5b73 100644
--- a/src/src/dkim_transport.c
+++ b/src/src/dkim_transport.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Transport shim for dkim signing */
 
diff --git a/src/src/dmarc.c b/src/src/dmarc.c
index c0313bf5c..118720750 100644
--- a/src/src/dmarc.c
+++ b/src/src/dmarc.c
@@ -5,7 +5,7 @@
    Copyright (c) The Exim Maintainers 2019 - 2022
    Copyright (c) Todd Lyons <tlyons@exim.org> 2012 - 2014
    License: GPL */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Portions Copyright (c) 2012, 2013, The Trusted Domain Project;
    All rights reserved, licensed for use per LICENSE.opendmarc. */
diff --git a/src/src/dmarc.h b/src/src/dmarc.h
index f71f1fd5a..86d3b1e1c 100644
--- a/src/src/dmarc.h
+++ b/src/src/dmarc.h
@@ -6,7 +6,7 @@
    Copyright (c) The Exim Maintainers 2021 - 2022
    Copyright (c) Todd Lyons <tlyons@exim.org> 2012 - 2014
    License: GPL */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Portions Copyright (c) 2012, 2013, The Trusted Domain Project;
    All rights reserved, licensed for use per LICENSE.opendmarc. */
diff --git a/src/src/dns.c b/src/src/dns.c
index 8106fb688..4e01d8661 100644
--- a/src/src/dns.c
+++ b/src/src/dns.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions for interfacing with the DNS. */
 
diff --git a/src/src/dnsbl.c b/src/src/dnsbl.c
index af80f6be1..1172d6183 100644
--- a/src/src/dnsbl.c
+++ b/src/src/dnsbl.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions concerned with dnsbls */
 
diff --git a/src/src/drtables.c b/src/src/drtables.c
index a6cbede89..cf7c4e0b1 100644
--- a/src/src/drtables.c
+++ b/src/src/drtables.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "exim.h"
diff --git a/src/src/dummies.c b/src/src/dummies.c
index a72767ccd..df8ef6d5b 100644
--- a/src/src/dummies.c
+++ b/src/src/dummies.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* Copyright (c) The Exim Maintainers 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This file is not part of the main Exim code. There are little bits of test
 code for some of Exim's modules, and when they are used, the module they are
diff --git a/src/src/enq.c b/src/src/enq.c
index 054aeaed8..43f53a585 100644
--- a/src/src/enq.c
+++ b/src/src/enq.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* Copyright (c) The Exim Maintainers 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions concerned with serialization. */
 
diff --git a/src/src/environment.c b/src/src/environment.c
index 06f804e69..68adf3c0c 100644
--- a/src/src/environment.c
+++ b/src/src/environment.c
@@ -5,7 +5,7 @@
 /* Copyright (c) Heiko Schlittermann 2016
  * hs@schlittermann.de
  * See the file NOTICE for conditions of use and distribution.
- * SPDX-License-Identifier: GPL-2.0-only
+ * SPDX-License-Identifier: GPL-2.0-or-later
  */
 
 #include "exim.h"
diff --git a/src/src/exim.c b/src/src/exim.c
index 62413e367..35f4ae4f7 100644
--- a/src/src/exim.c
+++ b/src/src/exim.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 /* The main function: entry point, initialization, and high-level control.
diff --git a/src/src/exim.h b/src/src/exim.h
index 24fedcced..ccf14f0fd 100644
--- a/src/src/exim.h
+++ b/src/src/exim.h
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 /* Source files for exim all #include this header, which drags in everything
diff --git a/src/src/exim_dbmbuild.c b/src/src/exim_dbmbuild.c
index bb04adc02..0ea71795f 100644
--- a/src/src/exim_dbmbuild.c
+++ b/src/src/exim_dbmbuild.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 /* A small freestanding program to build dbm databases from serial input. For
diff --git a/src/src/exim_dbutil.c b/src/src/exim_dbutil.c
index 669f7098d..f16570d86 100644
--- a/src/src/exim_dbutil.c
+++ b/src/src/exim_dbutil.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 /* This single source file is used to compile three utility programs for
diff --git a/src/src/exim_lock.c b/src/src/exim_lock.c
index 1a54a92ad..363c1bc71 100644
--- a/src/src/exim_lock.c
+++ b/src/src/exim_lock.c
@@ -11,7 +11,7 @@ Default is -fcntl -lockfile.
 Argument: the name of the lock file
 
 Copyright (c) The Exim Maintainers 2016 - 2021
-SPDX-License-Identifier: GPL-2.0-only
+SPDX-License-Identifier: GPL-2.0-or-later
 */
 
 #include "os.h"
diff --git a/src/src/expand.c b/src/src/expand.c
index 050f01297..657cf3cb9 100644
--- a/src/src/expand.c
+++ b/src/src/expand.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 /* Functions for handling string expansion. */
diff --git a/src/src/filter.c b/src/src/filter.c
index 82a9122c6..530d772b3 100644
--- a/src/src/filter.c
+++ b/src/src/filter.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 /* Code for mail filtering functions. */
diff --git a/src/src/filtertest.c b/src/src/filtertest.c
index 8bab65e78..2426f7feb 100644
--- a/src/src/filtertest.c
+++ b/src/src/filtertest.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 /* Code for the filter test function. */
diff --git a/src/src/functions.h b/src/src/functions.h
index be1fae00d..a2c8976e8 100644
--- a/src/src/functions.h
+++ b/src/src/functions.h
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 /* Prototypes for functions that appear in various modules. Gathered together
diff --git a/src/src/globals.c b/src/src/globals.c
index 429952edc..e5b72592f 100644
--- a/src/src/globals.c
+++ b/src/src/globals.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* All the global variables are defined together in this one module, so
 that they are easy to find. */
diff --git a/src/src/globals.h b/src/src/globals.h
index 48d93a1c3..5aae73fba 100644
--- a/src/src/globals.h
+++ b/src/src/globals.h
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Almost all the global variables are defined together in this one header, so
 that they are easy to find. However, those that are visible during the
diff --git a/src/src/hash.c b/src/src/hash.c
index 2b71463f1..10af1b43d 100644
--- a/src/src/hash.c
+++ b/src/src/hash.c
@@ -3,7 +3,7 @@
  *
  *  Copyright (c) The Exim Maintainers 2010 - 2022
  *  Copyright (c) University of Cambridge 1995 - 2009
- *  SPDX-License-Identifier: GPL-2.0-only
+ *  SPDX-License-Identifier: GPL-2.0-or-later
  *
  *  Hash interface functions
  */
diff --git a/src/src/hash.h b/src/src/hash.h
index c94e53129..788c9f0ad 100644
--- a/src/src/hash.h
+++ b/src/src/hash.h
@@ -1,7 +1,7 @@
 /*
  *  Exim - an Internet mail transport agent
  *  Copyright (c) The Exim Maintainers 1995 - 2022
- *  SPDX-License-Identifier: GPL-2.0-only
+ *  SPDX-License-Identifier: GPL-2.0-or-later
  *
  *  Hash interface functions
  */
diff --git a/src/src/header.c b/src/src/header.c
index 2a8fbfe64..a4dd6e72e 100644
--- a/src/src/header.c
+++ b/src/src/header.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2016 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "exim.h"
diff --git a/src/src/hintsdb.h b/src/src/hintsdb.h
index e79e6bd49..2d7199eda 100644
--- a/src/src/hintsdb.h
+++ b/src/src/hintsdb.h
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This header file contains macro definitions so that a variety of DBM
 libraries can be used by Exim. Nigel Metheringham provided the original set for
diff --git a/src/src/hintsdb_structs.h b/src/src/hintsdb_structs.h
index 27cd9edf9..0e5853b2b 100644
--- a/src/src/hintsdb_structs.h
+++ b/src/src/hintsdb_structs.h
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 - 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This header file contains the definitions of the structures used in the
 various hints databases are also kept in this file, which is used by the
diff --git a/src/src/host.c b/src/src/host.c
index 874e19a08..ecdc6d681 100644
--- a/src/src/host.c
+++ b/src/src/host.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions for finding hosts, either by gethostbyname(), gethostbyaddr(), or
 directly via the DNS. When IPv6 is supported, getipnodebyname() and
diff --git a/src/src/host_address.c b/src/src/host_address.c
index 28a8a685f..4c13f0bb7 100644
--- a/src/src/host_address.c
+++ b/src/src/host_address.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "exim.h"
 
diff --git a/src/src/imap_utf7.c b/src/src/imap_utf7.c
index 75ecb1a4b..1c09db621 100644
--- a/src/src/imap_utf7.c
+++ b/src/src/imap_utf7.c
@@ -1,6 +1,6 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "exim.h"
 
diff --git a/src/src/ip.c b/src/src/ip.c
index 2ac2b267d..b50130be3 100644
--- a/src/src/ip.c
+++ b/src/src/ip.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 - 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions for doing things with sockets. With the advent of IPv6 this has
 got messier, so that it's worth pulling out the code into separate functions
diff --git a/src/src/local_scan.c b/src/src/local_scan.c
index 85ecba8cb..da44cb7e6 100644
--- a/src/src/local_scan.c
+++ b/src/src/local_scan.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* Copyright (c) The Exim Maintainers 2021 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 /******************************************************************************
diff --git a/src/src/local_scan.h b/src/src/local_scan.h
index 2eabc5929..69b3c6cdb 100644
--- a/src/src/local_scan.h
+++ b/src/src/local_scan.h
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* This file is the header that is the only Exim header to be included in the
 source for the local_scan.c() function. It contains definitions that are made
diff --git a/src/src/log.c b/src/src/log.c
index f1d435ce4..6c483216a 100644
--- a/src/src/log.c
+++ b/src/src/log.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Functions for writing log files. The code for maintaining datestamped
 log files was originally contributed by Tony Sheen. */
diff --git a/src/src/lookupapi.h b/src/src/lookupapi.h
index cec8f976b..62c8c0524 100644
--- a/src/src/lookupapi.h
+++ b/src/src/lookupapi.h
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 /* The "type" field in each item is a set of bit flags:
diff --git a/src/src/lookups/dbmdb.c b/src/src/lookups/dbmdb.c
index c99e948b5..aa930e654 100644
--- a/src/src/lookups/dbmdb.c
+++ b/src/src/lookups/dbmdb.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 #include "lf_functions.h"
diff --git a/src/src/lookups/dnsdb.c b/src/src/lookups/dnsdb.c
index 4f43cf674..5482cd9d1 100644
--- a/src/src/lookups/dnsdb.c
+++ b/src/src/lookups/dnsdb.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 #include "lf_functions.h"
diff --git a/src/src/lookups/dsearch.c b/src/src/lookups/dsearch.c
index 6cae0dafb..74439bfc8 100644
--- a/src/src/lookups/dsearch.c
+++ b/src/src/lookups/dsearch.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* The idea for this code came from Matthew Byng-Maddick, but his original has
 been heavily reworked a lot for Exim 4 (and it now uses stat() (more precisely:
diff --git a/src/src/lookups/ibase.c b/src/src/lookups/ibase.c
index d42e490c4..7e4973e01 100644
--- a/src/src/lookups/ibase.c
+++ b/src/src/lookups/ibase.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* The code in this module was contributed by Ard Biesheuvel. */
 
diff --git a/src/src/lookups/json.c b/src/src/lookups/json.c
index b1e5fb742..43575cacf 100644
--- a/src/src/lookups/json.c
+++ b/src/src/lookups/json.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2021 - 2022 */
 /* Copyright (c) Jeremy Harris 2019 - 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 #include "lf_functions.h"
diff --git a/src/src/lookups/ldap.c b/src/src/lookups/ldap.c
index 17c431e5c..feeea0e41 100644
--- a/src/src/lookups/ldap.c
+++ b/src/src/lookups/ldap.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Many thanks to Stuart Lynne for contributing the original code for this
 driver. Further contributions from Michael Haardt, Brian Candler, Barry
diff --git a/src/src/lookups/ldap.h b/src/src/lookups/ldap.h
index 30228aebe..2ce62fc05 100644
--- a/src/src/lookups/ldap.h
+++ b/src/src/lookups/ldap.h
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Header for eldapauth_find */
 
diff --git a/src/src/lookups/lf_check_file.c b/src/src/lookups/lf_check_file.c
index 1649f9f83..5c74816ef 100644
--- a/src/src/lookups/lf_check_file.c
+++ b/src/src/lookups/lf_check_file.c
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2009 */
 /* Copyright (c) The Exim Maintainers 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "../exim.h"
diff --git a/src/src/lookups/lf_functions.h b/src/src/lookups/lf_functions.h
index b83b9652a..b7acbb5a9 100644
--- a/src/src/lookups/lf_functions.h
+++ b/src/src/lookups/lf_functions.h
@@ -5,7 +5,7 @@
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* Copyright (c) The Exim Maintainers 2020 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Header for the functions that are shared by the lookups */
 
diff --git a/src/src/lookups/lf_quote.c b/src/src/lookups/lf_quote.c
index 816fe01e2..72e37bfb4 100644
--- a/src/src/lookups/lf_quote.c
+++ b/src/src/lookups/lf_quote.c
@@ -4,7 +4,7 @@
 
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "../exim.h"
diff --git a/src/src/lookups/lf_sqlperform.c b/src/src/lookups/lf_sqlperform.c
index cf4b9cd0b..ecb0a3221 100644
--- a/src/src/lookups/lf_sqlperform.c
+++ b/src/src/lookups/lf_sqlperform.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 
 #include "../exim.h"
diff --git a/src/src/lookups/lmdb.c b/src/src/lookups/lmdb.c
index ccfdbe453..3a3eebcba 100644
--- a/src/src/lookups/lmdb.c
+++ b/src/src/lookups/lmdb.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 2016 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 
diff --git a/src/src/lookups/lsearch.c b/src/src/lookups/lsearch.c
index da73ae8bf..f668f60f2 100644
--- a/src/src/lookups/lsearch.c
+++ b/src/src/lookups/lsearch.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 #include "lf_functions.h"
diff --git a/src/src/lookups/mysql.c b/src/src/lookups/mysql.c
index a8dae4ade..7e0343233 100644
--- a/src/src/lookups/mysql.c
+++ b/src/src/lookups/mysql.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Thanks to Paul Kelly for contributing the original code for these
 functions. */
diff --git a/src/src/lookups/nis.c b/src/src/lookups/nis.c
index e7c124757..6a08ebc37 100644
--- a/src/src/lookups/nis.c
+++ b/src/src/lookups/nis.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 #include "lf_functions.h"
diff --git a/src/src/lookups/nisplus.c b/src/src/lookups/nisplus.c
index 78c79563f..3f89c7f81 100644
--- a/src/src/lookups/nisplus.c
+++ b/src/src/lookups/nisplus.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2018 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 #include "../exim.h"
 #include "lf_functions.h"
diff --git a/src/src/lookups/oracle.c b/src/src/lookups/oracle.c
index 3f3868fe9..d0604c245 100644
--- a/src/src/lookups/oracle.c
+++ b/src/src/lookups/oracle.c
@@ -5,7 +5,7 @@
 /* Copyright (c) The Exim Maintainers 2020 - 2022 */
 /* Copyright (c) University of Cambridge 1995 - 2015 */
 /* See the file NOTICE for conditions of use and distribution. */
-/* SPDX-License-Identifier: GPL-2.0-only */
+/* SPDX-License-Identifier: GPL-2.0-or-later */
 
 /* Interface to an Oracle database. This code was originally supplied by
 Paul Kelly, but I have hacked it around for various reasons, and tried to add
